0.9.8: GLM_GTX_fast_square_root

| 0.9.8

- Main Page
- Modules
- Files

Functions
GLM_GTX_fast_square_root
GTX Extensions (Experimental)

## Functions
template<typename genType >
GLM_FUNC_DECL genType | fastDistance (genType x, genType y)
template<typename T , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL T | fastDistance (vecType< T, P > const &x, vecType< T, P > const &y)
template<typename genType >
GLM_FUNC_DECL genType | fastInverseSqrt (genType x)
template<typename T , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL vecType< T, P > | fastInverseSqrt (vecType< T, P > const &x)
template<typename genType >
GLM_FUNC_DECL genType | fastLength (genType x)
template<typename T , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL T | fastLength (vecType< T, P > const &x)
template<typename genType >
GLM_FUNC_DECL genType | fastNormalize (genType const &x)
template<typename genType >
GLM_FUNC_DECL genType | fastSqrt (genType x)
template<typename T , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL vecType< T, P > | fastSqrt (vecType< T, P > const &x)

## Detailed Description

Fast but less accurate implementations of square root based functions.

- Sqrt optimisation based on Newton's method, www.gamedev.net/community/forums/topic.asp?topic id=139956

<glm/gtx/fast_square_root.hpp> need to be included to use these functionalities.

## Function Documentation

GLM_FUNC_DECL genType glm::fastDistance | ( | genType | x,
|  | genType | y
| ) |  |

Faster than the common distance function but less accurate.

See also
  GLM_GTX_fast_square_root extension.

GLM_FUNC_DECL T glm::fastDistance | ( | vecType< T, P > const & | x,
|  | vecType< T, P > const & | y
| ) |  |

Faster than the common distance function but less accurate.

See also
  GLM_GTX_fast_square_root extension.

GLM_FUNC_DECL genType glm::fastInverseSqrt | ( | genType | x | ) |

Faster than the common inversesqrt function but less accurate.

See also
  GLM_GTX_fast_square_root extension.

GLM_FUNC_DECL vecType<T, P> glm::fastInverseSqrt | ( | vecType< T, P > const & | x | ) |

Faster than the common inversesqrt function but less accurate.

See also
  GLM_GTX_fast_square_root extension.

GLM_FUNC_DECL genType glm::fastLength | ( | genType | x | ) |

Faster than the common length function but less accurate.

See also
  GLM_GTX_fast_square_root extension.

GLM_FUNC_DECL T glm::fastLength | ( | vecType< T, P > const & | x | ) |

Faster than the common length function but less accurate.

See also
  GLM_GTX_fast_square_root extension.

GLM_FUNC_DECL genType glm::fastNormalize | ( | genType const & | x | ) |

Faster than the common normalize function but less accurate.

See also
  GLM_GTX_fast_square_root extension.

GLM_FUNC_DECL genType glm::fastSqrt | ( | genType | x | ) |

Faster than the common sqrt function but less accurate.

See also
  GLM_GTX_fast_square_root extension.

GLM_FUNC_DECL vecType<T, P> glm::fastSqrt | ( | vecType< T, P > const & | x | ) |

Faster than the common sqrt function but less accurate.

See also
  GLM_GTX_fast_square_root extension.